#
# GBM program to help generate OS/2 logo files
#
# This makefile is for Open Watcom C++ on OS/2.
#

# include configuration setting for nmake (except compiler options)
!INCLUDE ..\..\nmake.opt

GBM  = ..\..\gbmos2
IDIR = ..\bin

# ------------------
# Configure compiler
# ------------------

#
# Using Open Watcom C++ 1.4:
#
CC      = wcc386
CL      = wlink

# Builds gbm objects which are compiled multithreaded
# Therefore all users should also be multithreaded
CWARNS     = -wx
CFLAGS     = $(CWARNS) -i$(GBM) -zq -ol+ -ot -okebrhina -ei -zp4 -6r -fp3 -bm -mf
CFLAGS_DBG = $(CWARNS) -i$(GBM) -zq -ei -zp4 -6r -fp3 -bm -mf -d2 /DDEBUG

LFLAGS     = SYSTEM os2v2 op q op el op alignment=4
LFLAGS_DBG = SYSTEM os2v2 op q d all op alignment=4

#CFLAGS     = $(CFLAGS_DBG)
#LFLAGS     = $(LFLAGS_DBG)

#

.SUFFIXES:	.c .obj

.c.obj:
		$(CC) $(CFLAGS) $*.c

#

gbmlogo.exe:	gbmlogo.obj \
		$(GBM)\gbm.lib $(GBM)\gbmtrunc.lib $(GBM)\gbmerr.lib $(GBM)\gbmht.lib $(GBM)\gbmtool.lib
		$(CL) $(LFLAGS) name $@ file gbmlogo.obj library $(GBM)\gbm.lib,$(GBM)\gbmtrunc.lib,$(GBM)\gbmerr.lib,$(GBM)\gbmht.lib,$(GBM)\gbmtool.lib

gbmlogo.obj:	gbmlogo.c $(GBM)\gbm.h $(GBM)\gbmtrunc.h $(GBM)\gbmerr.h $(GBM)\gbmht.h $(GBM)\gbmtool.h

#

clean:
		-del /N *.obj 2> nul

clobber:
		-del /N *.obj *.exe $(IDIR)\gbmlogo.exe 2> nul

#

install:
		copy *.exe $(IDIR)

#

exepack:
         $(EXE_PACKER) *.exe

#

package:
        -del /N $(IDIR)\gbmlogo_exe.zip 2> nul
        zip -9 $(IDIR)\gbmlogo_exe.zip *.exe

